[![npm](https://img.shields.io/npm/v/vue-easytable.svg)](https://www.npmjs.com/package/vue-easytable)
[![codecov](https://codecov.io/gh/huangshuwei/vue-easytable/branch/master/graph/badge.svg)](https://codecov.io/gh/huangshuwei/vue-easytable)
[![Build Status](https://travis-ci.com/huangshuwei/vue-easytable.svg?branch=master)](https://travis-ci.com/huangshuwei/vue-easytable)
[![license](https://img.shields.io/npm/l/vue-easytable.svg?maxAge=2592000)](http://www.opensource.org/licenses/mit-license.php)
[![chat](https://img.shields.io/badge/chat-on%20discord-7289da.svg)](https://discord.gg/gBm3k6r)



# vue-easytable

[English](./README.md) | **中文**

## 介绍

一个基于 Vue2.x 的表格组件

## v2.0 新版本  [![npm](https://img.shields.io/npm/v/vue-easytable.svg)](https://www.npmjs.com/package/vue-easytable)

- 对1.0 版本彻底重构。基于 jsx 语法重写、参数命名规范化、事件命名规范化等
- 增加对国际化支持
- 新增定制主题 & 内置两套主题
- 新增虚拟滚动
- 新增行展开
- 新增自定义单元格内容。基于 `render`函数
- 新增自定义事件
- 新增单元格省略
- 新增 loading 组件
- 新增单元测试。覆盖率 > 85%
- 文档更新
- 更多内容请查看 [官方文档](http://doc.huangsw.com/vue-easytable/#/zh/doc/intro)

## 特点

- 使用简单
- 功能强大
- 单元测试覆盖率大于 80%

## API & Examples

[官方文档](http://doc.huangsw.com/vue-easytable)

## Supports

- [x] [国际化](http://doc.huangsw.com/vue-easytable/#/zh/doc/locale)
- [x] [主题定制 & 内置主题](http://doc.huangsw.com/vue-easytable/#/zh/doc/theme)
- [x] [虚拟滚动](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/virtual-scroll)
- [x] [固定列](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/column-fixed)
- [x] [固定表头](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/header-fixed)
- [x] [表头分组](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/header-grouping)
- [x] [筛选](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/header-filter)
- [x] [排序](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/header-sort)
- [x] [单元格样式](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/cell-style)
- [x] [单元格自定义](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/cell-custom)
- [x] [单元格合并](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/cell-span)
- [x] [单元格选择（键盘操作）](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/cell-selection)
- [x] [单元格省略](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/cell-ellipsis)
- [x] [行单选](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/row-radio)
- [x] [行多选](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/row-checkbox)
- [x] [行展开](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/row-expand)
- [x] [行样式](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/row-style)
- [x] [footer 汇总](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/footer-summary)
- [x] [自定义事件](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/event-custom)
- [x] [内置loading组件](http://doc.huangsw.com/vue-easytable/#/zh/doc/base/loading)
- [x] [内置分页组件](http://doc.huangsw.com/vue-easytable/#/zh/doc/base/pagination)
- [更多](http://doc.huangsw.com/vue-easytable)

## 支持环境

- 现代浏览器和 IE10 及以上

| [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt="IE / Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>IE / Edge | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Firefox | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Chrome | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png" alt="Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Safari | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/opera/opera_48x48.png" alt="Opera" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Opera |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| IE10, IE11, Edge                                                                                                                                                                                                | last 2 versions                                                                                                                                                                                                   | last 2 versions                                                                                                                                                                                               | last 2 versions                                                                                                                                                                                               | last 2 versions                                                                                                                                                                                           |

## 如何贡献

如果你希望参与贡献，欢迎 [Pull Request](https://github.com/huangshuwei/vue-easytable/pulls)

## Discussion 讨论组

[加入 Discord 讨论](https://discord.gg/gBm3k6r)

## License

http://www.opensource.org/licenses/mit-license.php
